# map_type.h File Reference

Types related to maps. More...

Go to the source code of this file.

## Data Structures

struct | Tile
| Data that is stored per tile. More...
struct | TileExtended
| Data that is stored per tile. More...
struct | TileIndexDiffC
| A pair-construct of a TileIndexDiff. More...

## Defines

#define | STRAIGHT_TRACK_LENGTH 7071/10000
| Approximation of the length of a straight track, relative to a diagonal track (ie the size of a tile side).

## Typedefs

typedef int32 | TileIndexDiff
| An offset value between to tiles.

## Detailed Description

Types related to maps.

Definition in file map_type.h.

## Define Documentation

#define STRAIGHT_TRACK_LENGTH 7071/10000

Approximation of the length of a straight track, relative to a diagonal track (ie the size of a tile side).

defined instead of const so it can stay integer. (no runtime float operations) Is this needed? Watch out! There are _no_ brackets around here, to prevent intermediate rounding! Be careful when using this! This value should be sqrt(2)/2 ~ 0.7071

Definition at line 63 of file map_type.h.

Referenced by NPFDistanceTrack().

## Typedef Documentation

typedef int32 TileIndexDiff

An offset value between to tiles.

This value is used fro the difference between to tiles. It can be added to a tileindex to get the resulting tileindex of the start tile applied with this saved difference.

See also:
  TileDiffXY(int, int)

Definition at line 40 of file map_type.h.